org.apache.maven.scm.provider.git.gitexe.command.changelog

## Class GitChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.git.gitexe.command.changelog.GitChangeLogConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class GitChangeLogConsumer
    extends AbstractConsumer

Version:
  $Id: GitChangeLogConsumer.java 755014 2009-03-16 21:50:28Z olamy $
Author:
  Mark Struberg

### Constructor Summary

Constructors
Constructor and Description
`GitChangeLogConsumer(ScmLogger logger, String userDateFormat)` Default constructor.

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getModifications()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitChangeLogConsumer

    public GitChangeLogConsumer(ScmLogger logger,
                        String userDateFormat)

Default constructor.

### Method Detail

#### getModifications

    public List getModifications()

#### consumeLine

    public void consumeLine(String line)